if ( SERVER ) then
	AddCSLuaFile( "shared.lua" );
end;

if ( CLIENT ) then
	SWEP.Slot				= 2;
	SWEP.SlotPos			= 1;
	SWEP.ViewModelFOV		= 65;
end;

SWEP.Base = "eps_base";

SWEP.PrintName			= "MP7";
SWEP.Author				= "Chewgum";
SWEP.Instructions = "";

SWEP.AdminSpawnable	= true;

SWEP.WorldModel = Model( "models/weapons/w_smg1.mdl" );
SWEP.ViewModel = Model( "models/weapons/v_smg1.mdl" );

SWEP.Primary.Sound 			= Sound( "Weapon_SMG1.Single" );
SWEP.Primary.Damage			= 13;
SWEP.Primary.NumShots		= 1;
SWEP.Primary.Cone			= 0.04;
SWEP.Primary.Recoil			= 0.6;
SWEP.Primary.ClipSize		= 45;
SWEP.Primary.Delay			= 0.07;
SWEP.Primary.DefaultClip	= 500;
SWEP.Primary.Automatic		= true;
SWEP.Primary.Ammo			= "smg1";

SWEP.OriginalHoldType = "smg";
SWEP.HolsterHoldType = "passive";

function SWEP:Initialize()
	if ( SERVER ) then
		self:SetWeaponHoldType( "passive" );
	end;
end;
